
Redmine - Defect #17944

Helper hook doesn't change object attributes

2014-09-24 14:41 - Ilya S

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

module RedmineIssueChecklist::Hooks

  class Hooks < Redmine::Hook::ViewListener

    def helper_issues_show_detail_after_setting(context={})

      context[:value] = 'test'

    end

  end

end

 then check value in issues_helper.rb and get nil or something other, but not 'test'

History

#1 - 2014-09-24 15:45 - Ilya S

- Status changed from New to Resolved

sorry there is no bug, my bad.

#2 - 2014-10-04 09:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2023-08-28 03:55 - keineahnung 2345

The same issue happens to me. How did you solve your problem?

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

http://www.tcpdf.org

